2019-10-18 11:45 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001146FSSCPuser interfacepublic2012-01-09 13:06
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001146: Mouse pointer fix gone too far???
DescriptionWas trying out 3.6.9 RC7dot9U when I got a debug error. Problem was I had no mouse pointer to select options. After messing arround and hitting alt-ctrl-del I finally was able to get a mouse pointer. Also noticed I had the same problem with firewall popup on another computer. Didn't have mouse pointer to select allow or deny FS2 internet access.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007140

taylor (administrator)

The cursor visibility has always been iffy, so that's not really new.

There is some code missing from 7dot9u though, specifically for cursor visibility handling, but I couldn't get some bugs worked out and didn't commit it to CVS (and so it's not in 7dot9u). But I'll revist that code this weekend and it will hopefully fix this problem once and for all.

~0007144

FUBAR-BDHR (developer)

Actually the pointer is acting about like it did in the retail version now. Although alt-tabbing or getting an error message back then used to mean rebooting. I never did have a problem with the double pointer except when an error had alreay occured but didn't hit the debugger. If I both the FS2 and regular pointer it was time to exit (resulting in FS2 illegal OP message) and restart FS2. This was with the 3.6.9 releases.

~0007252

taylor (administrator)

Try again with: http://icculus.org/~taylor/fso/willrobinson/hoopla.rar

~0007265

FUBAR-BDHR (developer)

Well looked good from what I could tell. No one online to test multi. Worked fine with firewall popups, alt-tabbing, and even when the debugger kicked in and FS2 crashed.

~0007277

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-11-15 18:57 FUBAR-BDHR New Issue
2006-11-15 19:28 taylor Note Added: 0007140
2006-11-15 19:29 taylor Status new => assigned
2006-11-15 19:29 taylor Assigned To => taylor
2006-11-15 22:09 FUBAR-BDHR Note Added: 0007144
2006-12-06 03:40 taylor Note Added: 0007252
2006-12-06 22:57 FUBAR-BDHR Note Added: 0007265
2006-12-07 15:47 taylor Status assigned => resolved
2006-12-07 15:47 taylor Fixed in Version => 3.6.9
2006-12-07 15:47 taylor Resolution open => fixed
2006-12-07 15:47 taylor Note Added: 0007277
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3783
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3783
+Issue History